#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int N;
    float *A, *P, *maksimum;
    scanf("%li",&N);
    A = (float*)calloc(N,sizeof(float));
    P = (float*)calloc(N,sizeof(float));
    maksimum = (float*)calloc(N,sizeof(float));
    float maks, trenutniMaksimum, trenutniA = 0, trenutniP = 0;

    for(int i=0;i<N;i++)
        scanf("%f %f",A+i,P+i);

    for(int i=0;i<N;i++){
        trenutniA = *(A+i);
        trenutniP = *(P+i);
        trenutniMaksimum = *(A+i);
        *(maksimum+i) = trenutniMaksimum;

        for(int j=0;j<N;j++){
            if(i != j && *(P+j) >= trenutniP)
                *(maksimum+i)+=*(A+j);
        }
        *(maksimum+i)*=trenutniP/100;
    }

    maks = *(maksimum+0);

    for(int i=0;i<N;i++)
        if(*(maksimum+i)>maks)
            maks = *(maksimum+i);

    printf("%.4f\n",maks);

    return 0;
}